Bug 980979 - Presence icon shows wrong status after unlocking screen
Presence icon shows wrong status after unlocking screen
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 13:55 EDT by Štefan Gurský
Modified: 2015-02-17 10:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:49:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Štefan Gurský 2013-07-03 13:55:57 EDT
Description of problem:
After unlocking screen, the presence icon (one in top right corner) displays bubble with cross (as logged out) while empathy says I am online and available.

Version-Release number of selected component (if applicable):
Name        : gnome-shell
Version     : 3.8.3
Release     : 3.fc19
Architecture: x86_64

Name        : empathy
Version     : 3.8.3
Release     : 1.fc19
Architecture: x86_64



Steps to Reproduce:
1. Be Available in Empathy
2. Lock screen using Ctrl+Alt+L
3. Unlock screen


Actual results:
Empathy shows I am online but icon in top right corner of gnome-shell shows offline

Expected results:
Correct status icon in gnome-shell

Additional info:
It happens also with empathy window is closed and the wrong icon stays there even after receiving a message. In user menu (one displayed after clicking bubble icon) the icon in submenu is correct.
Comment 1 Štefan Gurský 2013-12-08 06:49:50 EST
I cannot test it anymore since I moved to F20 where Gnome shell does not have this icon, but if I remember correctly I had this gnome-shell extension installed: https://extensions.gnome.org/extension/410/boss-mode/ and I think the bug went away when I removed it.

Also I wonder if #1038657 can be somehow related.
Comment 2 Fedora End Of Life 2015-01-09 13:38:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Štefan Gurský 2015-01-10 11:44:00 EST
This icon no longer exists in Gnome Shell, so it cannot show incorrect status anymore.
Comment 4 Fedora End Of Life 2015-02-17 10:49:21 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.